Loading...
Searching...
No Matches
InternalNode< ChildT >::ChildIterator Class Reference

Visits child nodes of this node only. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for InternalNode< ChildT >::ChildIterator:

## Public Member Functions

| ChildIterator ()
| ChildIterator (const InternalNode *parent)
ChildIterator & | operator= (const ChildIterator &)=default
const ChildT & | operator* () const
const ChildT * | operator-> () const
Coord | getCoord () const

## Detailed Description

template<typename ChildT>
class nanovdb::build::InternalNode< ChildT >::ChildIterator

Visits child nodes of this node only.

## Constructor & Destructor Documentation

## ChildIterator() [1/2]

template<typename ChildT>

ChildIterator | ( |  | ) |

inline

## ChildIterator() [2/2]

template<typename ChildT>

ChildIterator | ( | const InternalNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT>

Coord getCoord | ( |  | ) | const

inline

## operator*()

template<typename ChildT>

const ChildT & operator* | ( |  | ) | const

inline

## operator->()

template<typename ChildT>

const ChildT * operator-> | ( |  | ) | const

inline

## operator=()

template<typename ChildT>

ChildIterator & operator= | ( | const ChildIterator & |  | ) |

default